# List fraud report logs Retrieve a fraud report's logs. **Note:** This endpoint takes an account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Disputes", "version": "1.0.0", "description": "Disputes API endpoints", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/disputes", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Fraud report", "description": "Endpoints to create and manage fraud reports" } ], "components": { "parameters": { "fraudReportId": { "name": "fraudReportId", "description": "Dispute fraud report ID", "in": "path", "required": true, "schema": { "type": "number" } } }, "schemas": { "Action": { "type": "string", "description": "Fraud report action", "enum": [ "CREATE", "UPDATE" ] }, "CorrelationId": { "type": "string", "description": "The Correlation IDentifier field links related API requests and events", "example": "correlation-id" }, "CreatedAt": { "type": "string", "description": "Created at datetime, format = yyyy-mm-dd hh:mm:ss\"", "example": "2024-10-18 11:21:45" }, "ErrorModel": { "title": "ErrorModel", "description": "API generic returned error.", "type": "object", "properties": { "code": { "type": "string", "description": "Error code." }, "message": { "type": "string", "description": "Error description." }, "http_status_code": { "type": "number", "description": "HTTP status code following RCF-9110" }, "details": { "type": "object", "description": "Payload array returning all fields with problems on request validation.
\nThese validations can be:
\n * Invalid length
\n * Invalid type
\n * Invalid accepted
\n\nValues are explained in the message.
\n" } } }, "FraudReportGetLogs": { "type": "object", "properties": { "fraud_report_id": { "$ref": "#/components/schemas/FraudReportId" }, "org_id": { "$ref": "#/components/schemas/OrgId" }, "logs": { "$ref": "#/components/schemas/FraudReportLogs" } } }, "FraudReportId": { "type": "number", "example": 123, "description": "Pismo fraud report ID." }, "FraudReportLogId": { "type": "number", "example": 456, "description": "Pismo fraud report log ID." }, "FraudReportLogs": { "type": "array", "items": { "type": "object", "properties": { "fraud_report_log_id": { "$ref": "#/components/schemas/FraudReportLogId" }, "action": { "$ref": "#/components/schemas/Action" }, "report": { "$ref": "#/components/schemas/ReportVisa" }, "correlation_id": { "$ref": "#/components/schemas/CorrelationId" }, "created_at": { "$ref": "#/components/schemas/CreatedAt" }, "status": { "$ref": "#/components/schemas/Status" } } } }, "OrgId": { "type": "string", "description": "Organization/tenant ID.", "example": "TN-34778262-f4f0-464d-b4c6-a14exxxxxxxx" }, "ReportVisa": { "type": "object", "description": "Visa report", "required": [ "fraud_type", "fraud_type_category", "notification_cd", "close_fraud_case_ind" ], "properties": { "fraud_type": { "$ref": "#/components/schemas/VisaFraudType" }, "fraud_type_category": { "$ref": "#/components/schemas/VisaFraudTypeCategory" }, "notification_cd": { "$ref": "#/components/schemas/VisaNotificationCd" }, "close_fraud_case_ind": { "$ref": "#/components/schemas/VisaCloseFraudCaseInd" } } }, "Status": { "type": "string", "description": "Fraud report ststus", "enum": [ "PENDING", "FAILED", "PROCESSED" ], "example": "PENDING" }, "VisaCloseFraudCaseInd": { "type": "boolean", "description": "Should the case be closed on the Visa's side? Default is `false`.\n", "example": false, "default": false }, "VisaFraudType": { "type": "string", "description": "Visa fraud type:
\n\n `0` - Lost
\n `1` - Stolen
\n `2` - Card not received as issued (NRI)
\n `3` - Fraudulent application (cardholder never applied for the card)
\n `4` - Issuer-reported counterfeit
\n `5` - Miscellaneous
\n `6` - Fraudulent use of account number
\n `A` = Incorrect processing
\n `B` = Account or credentials takeover
\n `C` = Merchant misrepresentation
\n `D` = Manipulation of account holder
\n", "enum": [ "0", "1", "2", "3", "4", "5", "6", "A", "B", "C", "D" ], "example": "0" }, "VisaFraudTypeCategory": { "type": "string", "description": "Visa fraud type category:
\n `CARDTXN` - Card transaction
\n `NRI` - Not received as issued
\n", "default": "CARDTXN", "enum": [ "CARDTXN", "NRI" ], "example": "CARDTXN" }, "VisaNotificationCd": { "type": "number", "description": "Notification code specifying action performed on the fraud report. Domain values:
\n `1`: Addition
\n `2`: Addition of dup
\n `3`: Change
\n `4`: Delete
\n `5`: Reactivate. No edits restricting values based on the value of existing report in case.\n" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } } }, "paths": { "/v1/fraud-report/{fraudReportId}/logs": { "get": { "summary": "List fraud report logs", "operationId": "get-v1-fraud-report-logs", "description": "Retrieve a fraud report's logs. \n\n**Note:** This endpoint takes an account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a 401 Unauthorized message.\n", "tags": [ "Fraud report" ], "parameters": [ { "$ref": "#/components/parameters/fraudReportId" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/FraudReportGetLogs" }, "examples": { "Fraud Report with complete journey of Fraud Report endpoints": { "value": { "fraud_report_id": 1, "org_id": "TN-123", "logs": [ { "fraud_report_log_id": 1, "action": "CREATE", "report": { "close_fraud_case_ind": false, "fraud_type": "1", "fraud_type_category": "CARDTXN", "notification_cd": 1 }, "correlation_id": "correlation-id-1", "created_at": "2024-10-18 16:20:21", "status": "PENDING" }, { "fraud_report_log_id": 2, "action": "UPDATE", "report": { "close_fraud_case_ind": false, "fraud_type": "1", "fraud_type_category": "CARDTXN", "notification_cd": 1 }, "correlation_id": "correlation-id-2", "created_at": "2024-10-18 16:20:22", "status": "FAILED", "network_response": "The network returned [Error to create Fraud Report, invalid field], reasonCode [E-90000000] with the source [NETWORK_EXCEPTION]." }, { "fraud_report_log_id": 3, "action": "UPDATE", "report": { "close_fraud_case_ind": false, "fraud_type": "1", "fraud_type_category": "CARDTXN", "notification_cd": 1 }, "correlation_id": "correlation-id-3", "created_at": "2024-10-18 16:20:23", "status": "PENDING" }, { "fraud_report_log_id": 4, "action": "UPDATE", "report": { "close_fraud_case_ind": false, "fraud_type": "1", "fraud_type_category": "CARDTXN", "notification_cd": 1 }, "correlation_id": "correlation-id-4", "created_at": "2024-10-18 16:20:24", "status": "PROCESSED", "fraud_report_network_id": "8070223455", "case_number": "5150000024", "network_response": null } ] } } } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" }, "examples": { "EDPT0004 - Invalid fraud_report_id param": { "value": { "code": "EDPT0004", "message": "Invalid fraud_report_id param", "http_status_code": 400 } } } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" }, "examples": { "EDPT0005 - Missing or invalid Authorization header": { "value": { "code": "EDPT0005", "message": "Missing or invalid Authorization header", "http_status_code": 401 } } } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" }, "examples": { "BDPT0006 - Fraud Report [123] not found": { "value": { "code": "BDPT0006", "message": "Fraud Report [123] not found", "http_status_code": 404 } } } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" }, "examples": { "EDPT9999 - Something went wrong, please try again later": { "value": { "code": "EDPT9999", "message": "Something went wrong, please try again later", "http_status_code": 500 } } } } } }, "504": { "description": "Gateway timeout", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorModel" }, "examples": { "EDPT0001 - Request timeout": { "value": { "code": "EDPT0001", "message": "Request timeout", "http_status_code": 504 } } } } } } } } } } } ```